You are here: Home > API Reference > Apple > Enterprise > Update adm enterprise send dep token

Update adm enterprise send dep token

Required Permission: mdm.apple.enterprise.update

Update adm enterprise send dep token

PUT
https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/dep

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

Body Params application/json
depToken string required
{
    "depToken": "string"
}

Responses

200 Response application/json
status boolean required
data object required
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
updatedAt string optional
createdAt string optional
certificates object optional
appleId string optional
≤ 256 characters
commonName string optional
≤ 256 characters
issuedAt string optional
expiredAt string optional
history array [object] optional
appleId string optional
≤ 256 characters
commonName string optional
≤ 256 characters
issuedAt string optional
expiredAt string optional
dep object optional
config object optional
lastDeviceCursor string optional
≤ 256 characters
depEnrollUrl string optional
≤ 256 characters
configuration object optional
primaryColor string optional
≤ 256 characters
logo string optional
contactEmail any optional
contactPhone string optional
≤ 256 characters
organizationInfo object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
name string optional
≤ 128 characters
slug string optional
≤ 128 characters · ≥ 3 characters · Match pattern: ^[a-z0-9][a-z0-9-]+[a-z0-9]$
store object optional
branding object optional
configuration object optional
createdBy string optional
Match pattern: ^[a-fA-F0-9]{24}$
protectionRules object optional
scheduleEnabled any optional
scheduleTimeZone string optional
schedule object optional
virtualFleet any optional
{
    "status": true,
    "data": {
        "id": "string",
        "updatedAt": "string",
        "createdAt": "string",
        "certificates": {
            "appleId": "string",
            "commonName": "string",
            "issuedAt": "string",
            "expiredAt": "string"
        },
        "history": [
            {
                "appleId": "string",
                "commonName": "string",
                "issuedAt": "string",
                "expiredAt": "string"
            }
        ],
        "dep": {
            "config": {
                "consumerKey": "string",
                "consumerSecret": "string",
                "accessToken": "string",
                "accessSecret": "string",
                "accessTokenExpiry": "string"
            },
            "lastDeviceCursor": "string",
            "depEnrollUrl": "string"
        },
        "configuration": {
            "primaryColor": "string",
            "logo": "string",
            "contactEmail": "[email protected]",
            "contactPhone": "string"
        },
        "organizationInfo": {
            "id": "string",
            "name": "string",
            "slug": "string",
            "store": {
                "customDomain": "string"
            },
            "branding": {
                "logo": "string",
                "picture": "string",
                "primaryColor": "string"
            },
            "configuration": {
                "storageProvider": "string"
            },
            "createdBy": "string"
        },
        "protectionRules": {
            "scheduleEnabled": true,
            "scheduleTimeZone": "string",
            "schedule": {
                "mon": [
                    0
                ],
                "tue": [
                    0
                ],
                "wed": [
                    0
                ],
                "thu": [
                    0
                ],
                "fri": [
                    0
                ],
                "sat": [
                    0
                ],
                "sun": [
                    0
                ]
            }
        },
        "virtualFleet": true
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5050
message string optional
Feature not allowed for you billing plan
{
    "status": false,
    "error": {
        "code": 5050,
        "message": "Feature not allowed for you billing plan"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}
Was this page helpful?